-- MySQL dump 10.13  Distrib 5.7.17, for macos10.12 (x86_64)
--
-- Host: localhost    Database: serloc
-- ------------------------------------------------------
-- Server version	5.6.40

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `serloc_service`
--

DROP TABLE IF EXISTS `serloc_service`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `serloc_service` (
  `id` int(11) NOT NULL,
  `service_provider` int(11) NOT NULL,
  `type_id` int(11) NOT NULL,
  `name` varchar(45) NOT NULL,
  `description` varchar(300) NOT NULL,
  `price` varchar(45) DEFAULT NULL,
  `location_alt` float(10,6) NOT NULL,
  `location_long` float(10,6) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `service_type_fk` (`type_id`),
  KEY `service_provider_fk` (`service_provider`),
  CONSTRAINT `service_provider_fk` FOREIGN KEY (`service_provider`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `service_type_fk` FOREIGN KEY (`type_id`) REFERENCES `service_type` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `serloc_service`
--

LOCK TABLES `serloc_service` WRITE;
/*!40000 ALTER TABLE `serloc_service` DISABLE KEYS */;
INSERT INTO `serloc_service` VALUES (12,26,2,'Transport de cafè a bars','Transporto productes derivats de cafè a tot tipus d\'establiments orientats a la restauració.','1',41.387268,2.144904),(13,25,3,'Neteja de domicilis','Neteja de tot tipus de domicilis: pisos, cases, chalets, mansions, etc...','15',41.384903,2.146157),(14,24,4,'Reparacions de sistemes informàtics','Reparacions de tot tipus de sistemes informàtics. Equips de sobretaula i portàtils.','20',41.384026,2.141274),(15,24,6,'Classes de repàs de tecnologia','Repàs de tecnologia per a alumnes de ESO i batxillerat.','12',41.383411,2.145466),(16,23,6,'Classes de repàs de química','Classes de repàs de Quimica per a alumnes de ESO, Batxillerat, Mòduls de grau superior i mitjà com també de Grau universitari.','10',41.385193,2.141404),(17,23,6,'Classes de repàs de matemàtiques','Classes de repàs per alumnes de ESO i Batxillerat en totes les temàtiques i problemes relacionats amb les matemàtiques.','10',41.384689,2.143894),(18,21,5,'Serveis de cura a persones grans','Serveis de cura a persones d\'avançada edat. Tasques d\'alimentació, neteja i vigilancia. Tinc més de 2 anys d\'experiència en aquest sector cuidant tot tipus de gent gran  i amb tot tipus de demències i altres malalties.','30',41.384285,2.145898),(19,21,6,'Classes de repàs de física','Classes de repàs per alumnes de ESO i Batxillerat en totes les temàtiques i problemes relacionats amb la física.','25',41.389702,2.135764),(20,17,1,'Reformes de la llar','Reformes de tot tipus en qualsevol tipus de domicili. Fontaneria, bricolatge, jardineria','35',41.386360,2.143240),(21,17,1,'Reparació de parquet','Reparació, manteniment i substitució de tot tipus de parquet.','40',41.389198,2.136823),(22,28,2,'Trasllats immobiliaris','Trasllat de tot tipus de mobiliari mitjançant furgoneta.','28',41.385208,0.000000),(23,1,1,'Reformes en instal·lacions de calefacción','Reformes en tot tipus d’instalacions de calefacción','45',41.389027,2.147091),(24,29,1,'Reformes parques','reformes tot tipus de parquet','40',41.389233,2.149158);
/*!40000 ALTER TABLE `serloc_service` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2018-06-04 19:29:06
