package com.joaquim.calvo.serloc.serlocapi.application.chat.service;

import com.joaquim.calvo.serloc.serlocapi.application.chat.persistance.ChatRepository;
import com.joaquim.calvo.serloc.serlocapi.domain.chat.Message;
import com.joaquim.calvo.serloc.serlocapi.domain.chat.service.ChatService;

import javax.inject.Inject;
import javax.inject.Named;
import java.util.List;

@Named
public class ChatServiceImpl implements ChatService {

    @Inject
    private ChatRepository chatRepository;

    @Override
    public List<Message> obtainAllUserMessages(String email) {
        return chatRepository.obtainAllUserMessages(email);
    }
}
