package com.joaquim.calvo.serloc.serlocapi.domain.evaluation;

import com.joaquim.calvo.serloc.serlocapi.domain.service.Service;
import com.joaquim.calvo.serloc.serlocapi.domain.user.User;

import javax.persistence.Basic;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Transient;

@Entity(name = "evaluation")
public class Evaluation {

    @Id
    private int id;

    @Transient
    private User reporter;

    @Transient
    private Service evaluated;

    @Basic
    private String title;

    @Basic
    private String description;

    @Transient
    private Puntuation puntuation;

    /**
     * Basic Evalutation constructor with the basic
     * required fields.
     */
    public Evaluation() {

    }
}
