package com.joaquim.calvo.serloc.serlocapi.domain.service.request;

import java.io.Serializable;

public class CreateNewServiceRequest implements Serializable {

    private String serviceProviderEmail;

    private Integer serviceTypeId;

    private String name;

    private String description;

    private Integer price;

    private Float longitude;

    private Float latitude;


    /**
     * Encapsulated constructor.
     */
    public CreateNewServiceRequest() {

    }

    public String getServiceProviderEmail() {
        return serviceProviderEmail;
    }

    public Integer getServiceTypeId() {
        return serviceTypeId;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public Integer getPrice() {
        return price;
    }

    public Float getLongitude() {
        return longitude;
    }

    public Float getLatitude() {
        return latitude;
    }

    public void setServiceProviderEmail(String serviceProviderEmail) {
        this.serviceProviderEmail = serviceProviderEmail;
    }

    public void setServiceTypeId(Integer serviceTypeId) {
        this.serviceTypeId = serviceTypeId;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setPrice(Integer price) {
        this.price = price;
    }

    public void setLongitude(Float longitude) {
        this.longitude = longitude;
    }

    public void setLatitude(Float latitude) {
        this.latitude = latitude;
    }
}
