package com.joaquim.calvo.serloc.serlocapi.domain.service.response;

import com.joaquim.calvo.serloc.serlocapi.domain.service.Service;

import java.io.Serializable;
import java.util.List;

/**
 * The response returned trying to obtain the user defined services.
 */
public class UserAvailableServicesResponse implements Serializable {

    /**
     * Services defined by user.
     */
    private List<Service> services;

    public UserAvailableServicesResponse(final List<Service> services) {
        this.services = services;
    }

    public List<Service> getServices() {
        return services;
    }

    public void setServices(List<Service> services) {
        this.services = services;
    }
}
