package com.joaquim.calvo.serloc.serlocapi.domain.user;

import javax.persistence.Basic;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table (name = "user_type")
public class UserType {

    @Id
    private int id;

    @Basic
    private String name;

    /**
     * Default constructor for UserType
     */
    private UserType() {

    }

    /**
     * Base UserType constructor with
     * the base and required fields.
     * @param id id.
     * @param name user type name.
     */
    public UserType(
            final Integer id,
            final String name) {
        this.id = id;
        this.name = name;
    }

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }
}
