package com.joaquim.calvo.serloc.serlocapi.domain.user.request;

import java.io.Serializable;

/**
 * Request entity representing a create user request.
 */
public class CreateNewUserRequest implements Serializable {

    private String email;
    private String name;
    private String password;
    private String phone;
    private String description;

    public String getEmail() {
        return email;
    }

    public String getName() {
        return name;
    }

    public String getPassword() {
        return password;
    }

    public String getPhone() {
        return phone;
    }

    public String getDescription() {
        return description;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
