package com.joaquim.calvo.serloc.serlocapi.infraestructure.web.controller.user;

import com.joaquim.calvo.serloc.serlocapi.domain.user.request.CreateNewUserRequest;
import com.joaquim.calvo.serloc.serlocapi.domain.user.service.UserService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.inject.Inject;

@RestController
public class RegisterController {

    @Inject
    private UserService userService;

    @PostMapping(path = "/user")
    public void createNewUser(@RequestBody CreateNewUserRequest createUserRequest) {
        userService.createNewUser(createUserRequest);
    }
}
