package com.joaquim.calvo.serloc.serlocapi.application.chat;

import com.joaquim.calvo.serloc.serlocapi.application.chat.persistance.ChatRepository;
import com.joaquim.calvo.serloc.serlocapi.application.chat.service.ChatServiceImpl;
import org.junit.Before;
import org.junit.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.MockitoAnnotations;

public class ChatServiceImplTest {

    @InjectMocks
    private ChatServiceImpl chatService;

    @Mock
    private ChatRepository chatRepository;

    @Before
    public void init() {
        MockitoAnnotations.initMocks(this);
    }

    @Test
    public void obtainAllUserMessagesMustCallRepositoryLayer() {
        chatService.obtainAllUserMessages("test1234@gmail.com");

        Mockito.verify(chatRepository, Mockito.times(1))
                .obtainAllUserMessages("test1234@gmail.com");
    }
}
