package com.joaquim.calvo.serloc.serlocapi.application.chat.persistance;

import com.joaquim.calvo.serloc.serlocapi.domain.chat.Message;

import java.util.List;

/**
 * Interface for the chat repository implementations.
 */
public interface ChatRepository {

    /**
     * Obtain all the available user messages.
     * @param email email to identify the user.
     * @return user id.
     */
    List<Message> obtainAllUserMessages(String email);
}
