package com.joaquim.calvo.serloc.serlocapi.domain.chat.service;

import com.joaquim.calvo.serloc.serlocapi.domain.chat.Message;

import java.util.List;

public interface ChatService {

    /**
     * Function to obtain all the available user messages.
     * @param email the user email to identify the user.
     * @return the available messages.
     */
    List<Message> obtainAllUserMessages(String email);
}
