package com.joaquim.calvo.serloc.serlocapi.domain.user.response;

import com.joaquim.calvo.serloc.serlocapi.domain.user.User;

import java.io.Serializable;

/**
 * Data structure which contains the user details information.
 */
public class UserDetailsResponse implements Serializable {

    private User user;

    public UserDetailsResponse(final User user) {
        this.user = user;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }
}
