package com.joaquim.calvo.serloc.serlocapi.application.service;

import com.joaquim.calvo.serloc.serlocapi.application.service.persistance.ServiceTypeRepository;
import com.joaquim.calvo.serloc.serlocapi.application.service.service.ServiceTypeServiceImpl;
import org.junit.Before;
import org.junit.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.MockitoAnnotations;

public class ServiceTypeServiceImplTest {

    @InjectMocks
    private ServiceTypeServiceImpl serviceTypeService;

    @Mock
    private ServiceTypeRepository serviceTypeRepository;

    @Before
    public void init() {
        MockitoAnnotations.initMocks(this);
    }

    @Test
    public void getServiceTypeByIdMustCallRepository() {
        final Integer serviceTypeId = 1;

        serviceTypeService.getServiceTypeById(serviceTypeId);

        Mockito.verify(serviceTypeRepository, Mockito.times(1)).getServiceTypeById(serviceTypeId);
    }
}
